#ifndef _CONSTANTS_H
#define _CONSTANTS_H

#define FULLSCREEN 1	    // 0 = windowed, 1 = fullscreen
#define SCREENWIDTH 320     // screen dimensions (pixel)
#define SCREENHEIGHT 240    // screen dimensions (pixel)
#define STAGEWIDTH 256      // width of tilesheet
#define STAGEHEIGHT 30      // height of tilesheet
#define TOTALTILES 7680     // number of tiles in a stage
#define LASTSTAGE 33         // number of stages...
#define POINTSPERCOIN 25   // number of points per coin...
#define POINTSPERENEMY 50   // number of points per enemy...
#define TILESHEETWIDTH 320  // width of tilesheet
#define TILESHEETHEIGHT 400 // height of tilesheet
#define TILESIZE 8          // size of tile (they are square 8x8 pixels)
#define ENEMYTYPES 20       // number of different types of enemies
#define ENEMIESPERSTAGE 15  // maximum number of enemies per stage

#define MAX_LENGTH_OF_LINE 128  // maximum length of a line in the ini file

#endif